> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a subscription cancellation

> Operacion: Update a subscription cancellation.



## OpenAPI

````yaml /generated/specs/operations.json put /api/v1/subscription_cancellation/update/{subscription_id}
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/subscription_cancellation/update/{subscription_id}:
    put:
      tags:
        - Subscription Cancellation
      summary: Update a subscription cancellation
      description: 'Operacion: Update a subscription cancellation.'
      operationId: SubscriptionCancellationController_update
      parameters:
        - name: subscription_id
          required: true
          in: path
          description: Subscription UUID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSubscriptionCancellationDto'
      responses:
        '200':
          description: Cancellation updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionCancellationResponseDto'
        '404':
          description: Cancellation not found
      security:
        - bearerAuth: []
components:
  schemas:
    UpdateSubscriptionCancellationDto:
      type: object
      properties:
        cancellation_reason_id:
          type: number
        date:
          type: string
        cancellation_cost:
          type: number
        monthly_payments:
          type: number
        subscription_currency_id:
          type: number
        observations:
          type: string
    SubscriptionCancellationResponseDto:
      type: object
      properties:
        id:
          type: number
        cancellation_reason_id:
          type: number
        date:
          format: date-time
          type: string
        subscription_detail_id:
          type: string
        cancellation_cost:
          type: object
        monthly_payments:
          type: object
        subscription_currency_id:
          type: object
        observations:
          type: object
        cancellationReason:
          $ref: '#/components/schemas/CancellationReasonResponseDto'
      required:
        - id
        - cancellation_reason_id
        - date
        - subscription_detail_id
    CancellationReasonResponseDto:
      type: object
      properties:
        cancellation_reason_id:
          type: number
        reason:
          type: string
      required:
        - cancellation_reason_id
        - reason
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````